For the complete documentation index, see llms.txt. This page is also available as Markdown.

eth_uninstallFilter - Mantle

Example code for the eth_uninstallFilter JSON-RPC method. Complete guide on how to use eth_uninstallFilter JSON-RPC in GetBlock Web3 documentation.

This method uninstalls a filter with given ID. It should always be called when a watch is no longer needed. Filters timeout when not requested with eth_getFilterChanges for a period of time.

Parameters

Parameter
Type
Description

filterId

string

The filter ID to uninstall

Request examples

curl
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_uninstallFilter",
    "params": ["0x1a2b3c4d5e6f"],
    "id": "getblock.io"
}'
uninstallFilter.js
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "eth_uninstallFilter",
    "params": ["0x1a2b3c4d5e6f"],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": true
}

Response Parameters

Field
Type
Description

result

boolean

True if filter was successfully uninstalled

Use Case

The eth_uninstallFilter method is essential for:

  • Cleaning up unused filters

  • Resource management

  • Proper filter lifecycle handling

  • Preventing filter timeout issues

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

Web3 Integration

Last updated

Was this helpful?